# Introduction
Every mathematical function can be thought of as a set of ordered pairs, or an input value and an output value.
- Examples include $f(x) = x^2 + 2x + 1$, and $\{(1, 3), (2, 5), (4, 7)\}$.

**A limit describes how a function behaves *near* a point, rather than *at* that point.***
- As an example, given a *well behaved function* $f(x)$ and the fact that:
	- $f(1.9) = 8.41$
	- $f(1.999) = 8.99401$
	- $f(2.1) = 9.61$
	- $f(2.01) = 9.061$
	- $f(2.0001) = 9.0006$
	We can note that the smaller the distance of the input value $x$ to $2$, the smaller the distance of the output to $9$. This is most commonly described in the terms "As $x$ approaches $2$, $f(x)$ approaches $9$", or "As $x \to 2$, $f(x) \to 9$."

Limits are valuable because they can be used to describe a point on a graph, even if that point is not present.
# Standard Notation
The standard notation for a limit is:
$$ \lim_{x \to a} f(x) = L $$
- As $x$ approaches $a$, the output of $f(x)$ draws closer to $L$. In the above notation, $x$ and $a$ are not necessarily equal.
- When plotted, the hole is located at $(a, L)$.
# Definitions

| Term                  | Definition                                                                    |
| --------------------- | ----------------------------------------------------------------------------- |
| Well behaved function | A function that is continuous, has a single value, and is defined everywhere. |




